Page MenuHomePhabricator

Implement Ingenico recurring up sell
Closed, ResolvedPublic2 Story Points

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterAdd gateway_txn_id and subscr_id to subscr_start message
mediawiki/extensions/DonationInterface : masterWire up 'yes' buttons for recurring conversion
mediawiki/extensions/DonationInterface : masterIngenico implements RecurringConversion
mediawiki/extensions/DonationInterface : masterRecurringConversion API
mediawiki/extensions/DonationInterface : masterAdd RecurringConversion interface
mediawiki/extensions/DonationInterface : masterDonation API Base: Bring Amazon in
mediawiki/extensions/DonationInterface : masterDonation API base: make $adapter a class property
mediawiki/extensions/DonationInterface : masterBase class for Donation APIs: step one
mediawiki/extensions/DonationInterface : masterLog line for showing recurring conversion ask
mediawiki/extensions/DonationInterface : masterRecurring conversion: wire up close and 'no' buttons
mediawiki/extensions/DonationInterface : masterAdd supportsRecurringUpsell and showRecurringUpsell
mediawiki/extensions/DonationInterface : masterVariants starting with 'upsell' mean recurrable payment

Related Objects

Event Timeline

DStrine created this task.Feb 19 2019, 9:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2019, 9:08 PM
spatton added subscribers: Ejegg, spatton.EditedMar 6 2019, 6:31 PM

@DStrine, @Ejegg - posting our recurring upsell mockups here, too.

DStrine added a comment.EditedApr 29 2019, 8:07 PM

notes from fr-tech:

we need this to be a variant and only display the upsell when upsell is flagged on the url. Maybe we want to also leave the normal charge logic untouched while we test this.

In this variate we have to charge everyone as if they are the first of a monthly series and if they say no, we then only record it as a one-time donation.

Change 514344 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Variants starting with 'upsell' mean recurrable payment

https://gerrit.wikimedia.org/r/514344

Ejegg claimed this task.Jun 4 2019, 4:51 PM
Ejegg triaged this task as Medium priority.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint King Kong vs. Mozilla board.
Ejegg set the point value for this task to 2.

Change 514351 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add supportsUpsell and shouldUpsell methods

https://gerrit.wikimedia.org/r/514351

Change 514344 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Variants starting with 'upsell' mean recurrable payment

https://gerrit.wikimedia.org/r/514344

Change 514351 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add supportsRecurringUpsell and showRecurringUpsell

https://gerrit.wikimedia.org/r/514351

Change 519544 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Recurring conversion: wire up close and 'no' buttons

https://gerrit.wikimedia.org/r/519544

Change 519545 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Log line for showing recurring conversion ask

https://gerrit.wikimedia.org/r/519545

Change 519582 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Base class for Donation APIs: step one

https://gerrit.wikimedia.org/r/519582

Change 519583 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Donation API base: make $adapter a class property

https://gerrit.wikimedia.org/r/519583

Change 519584 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Donation API Base: Bring Amazon in

https://gerrit.wikimedia.org/r/519584

Change 519729 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP RecurringConversion API

https://gerrit.wikimedia.org/r/519729

Change 520149 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add RecurringConversion interface

https://gerrit.wikimedia.org/r/520149

Change 520150 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP Ingenico implements RecurringConversion

https://gerrit.wikimedia.org/r/520150

Change 519544 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Recurring conversion: wire up close and 'no' buttons

https://gerrit.wikimedia.org/r/519544

Change 519545 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Log line for showing recurring conversion ask

https://gerrit.wikimedia.org/r/519545

Change 519582 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Base class for Donation APIs: step one

https://gerrit.wikimedia.org/r/519582

Change 519583 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Donation API base: make $adapter a class property

https://gerrit.wikimedia.org/r/519583

Change 519584 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Donation API Base: Bring Amazon in

https://gerrit.wikimedia.org/r/519584

Change 520149 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add RecurringConversion interface

https://gerrit.wikimedia.org/r/520149

Change 523192 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP wire up 'yes' buttons for recurring conversion

https://gerrit.wikimedia.org/r/523192

Change 519729 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] RecurringConversion API

https://gerrit.wikimedia.org/r/519729

Change 520150 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Ingenico implements RecurringConversion

https://gerrit.wikimedia.org/r/520150

Change 523192 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Wire up 'yes' buttons for recurring conversion

https://gerrit.wikimedia.org/r/523192

Change 524538 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add gateway_txn_id to subscr_start message

https://gerrit.wikimedia.org/r/524538

Change 524538 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add gateway_txn_id and subscr_id to subscr_start message

https://gerrit.wikimedia.org/r/524538

Ejegg closed this task as Resolved.Aug 19 2019, 3:37 PM